UR-UPDATE-POD(1p)

NAME
ur update pod - generate man-page-like POD for a commands

VERSION
This document describes ur update pod version 0.29.

(built on 2011-03-07 at 10:34:30)

SYNOPSIS
ur update pod [--input-path=?] [--output-path=?] EXECUTABLE-NAME CLASS-NAME TARGETS

ur update pod -i ./lib -o ./pod ur UR::Namespace::Command

REQUIRED ARGUMENTS

EXECUTABLE-NAME  Text
    the name of the executable to document

CLASS-NAME  Text
    the command class which maps to the executable

TARGETS  Text
    specific classes to document (documents all unless specified)

OPTIONAL ARGUMENTS

input-path  Path
    optional location of the modules to document

output-path  Text
    optional location to output .pod files

DESCRIPTION:
This tool generates POD documentation for each all of the commands in a tree for a given executable.

This command must be run from within the namespace directory.